| Qore Programming Language Reference Manual 1.0.8

Variables
Crytographic Digest Algorithms

## Variables
const | Qore::CRYPTO_DIGEST_DSS = "dss"
| specifies the DSS message digest (based on SHA-0 and DSA)
const | Qore::CRYPTO_DIGEST_DSS1 = "dss1"
| specifies the DSS1 message digest (based on SHA1 and DSA)
const | Qore::CRYPTO_DIGEST_MD2 = "md2"
| specifies the MD2 message digest
const | Qore::CRYPTO_DIGEST_MD4 = "md4"
| specifies the MD4 message digest
const | Qore::CRYPTO_DIGEST_MD5 = "md5"
| specifies the MD5 message digest
const | Qore::CRYPTO_DIGEST_MDC2 = "mdc2"
| specifies the MDC2 message digest
const | Qore::CRYPTO_DIGEST_RIPEMD160 = "ripemd160"
| specifies the RIPEMD message digest
const | Qore::CRYPTO_DIGEST_SHA = "sha"
| specifies the insecure and outdated SHA-0 message digest; only supplied for compatibility purposes
const | Qore::CRYPTO_DIGEST_SHA1 = "sha1"
| specifies the SHA1 message digest
const | Qore::CRYPTO_DIGEST_SHA224 = "sha224"
| specifies the SHA-224 message digest (a variant of SHA-2)
const | Qore::CRYPTO_DIGEST_SHA256 = "sha256"
| specifies the SHA-256 message digest (a variant of SHA-2)
const | Qore::CRYPTO_DIGEST_SHA384 = "sha384"
| specifies the SHA-384 message digest (a variant of SHA-2)
const | Qore::CRYPTO_DIGEST_SHA512 = "sha512"
| specifies the SHA-512 message digest (a variant of SHA-2)
const | Qore::DigestMap = qore(init_digest_map_hash())
| A hash keyed by supported digest name where each value is True. More...

## Detailed Description

The following constants can be used with the digest() and hmac() functions to calculate cryptographic digests and HMACs on input data.

Example:
  Qore::FileOutputStream of("my-file.txt");
  Qore::TransformOutputStream ts(of, get_decryptor(Qore::CRYPTO_ALG_BLOWFISH));

These constants are useful in the following functions:

- Qore::digest()
- Qore::hmac()

Since
  Qore 0.9.3

## Variable Documentation

## ◆ DigestMap

const Qore::DigestMap = qore(init_digest_map_hash())

A hash keyed by supported digest name where each value is True.

Since
  Qore 0.9.3